apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var app = new Vue({
		el: '#app',
		data: {
			tel: '',
			describe: '',
			txt: ''
		},
		mounted: function() {
			// 改变导航字体颜色
			api.setStatusBarStyle({
				style: 'dark', // dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			// 改变导航字体颜色
			setStatusBar(document.querySelector(".Y_cz_sy_head"))
		},
		methods: {
			// 判断字符个数
			methodGetByteLen(str, len) {
				if(this.computedByteLen <= len) {
					return str
				}
				for(let i = Math.floor(len / 2); i < str.length; i++) {
					if(str.substr(0, i).replace(/[^\x00-\xff]/g, '01').length >= len) {
						return str.substr(0, Math.floor(i / 2) * 2) + '...'
					}
				}
			},
			fanhui: function() {
				api.closeWin();
			},
			clicktj: function(value) {
				var that = this;
				var tel = that.tel;
				var describe = that.describe;
				//提交之前要判断手机号
				if(tel == '') {
					api.toast({
						msg: '手机号不能为空',
						duration: 2000,
						location: 'bottom'
					});
				} else if(tel && (!(/^[1][34578]\d{9}$/).test(tel) || !(/^[1-9]\d*$/).test(tel) || tel.length !== 11)) {
					api.toast({
						msg: '请输入正确的手机号码',
						duration: 2000,
						location: 'bottom'
					});
				} else if(describe == '') {
					api.toast({
						msg: '反馈问题不能为空',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				api.ajax({
					url: 'http://anhezuche.eacase.com/index.php/index/myindex/feedback',
					method: 'post',
					data: {
						values: {
							token: token,
							tel: that.tel,
							describe: that.describe,
						},
					}
				}, function(ret, err) {
					if(ret.code == 0) {
						api.toast({
							msg: '提交成功',
							duration: 2000,
							location: 'bottom'
						});
						setTimeout('api.closeWin()', '1000');
					} else {
						console.log(JSON.stringify(err));
					}
				});
			}
		},
		computed: {
			// 获取字符的个数
			computedCharLen() {
				return this.txt.length
			},
			// 控制显示的内容
			computedTxt() {
				return this.methodGetByteLen(this.txt, 10)
			}
		}
	})
}