apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var userInfo = api.getPrefs({
		key: 'userInfo',
		sync: true
	});

	// vue实例
	var app = new Vue({
		el: '#app',
		data: {
			userInfo: {},
			renzheng: '未认证',
			sex: "男",
			userInfo: {
				avatar: 'https://gss0.bdstatic.com/-4o3dSag_xI4khGkpoWK1HF6hhy/baike/c0%3Dbaike92%2C5%2C5%2C92%2C30/sign=62d46c39067b020818c437b303b099b6/d4628535e5dde7119c3d076aabefce1b9c1661ba.jpg'
			},
			changename: ''
			// 初始图片
		},
		created: function() {
			// 加载完成提示
			api.showProgress({
				style: 'default',
				animationType: 'fade',
				title: '加载中...',
				text: ''
			});
			var that = this;
			api.ajax({
				// url: 'http://anhezuche.eacase.com/index.php/index/myindex/userinfo',
				method: 'post',
				data: {
					values: {
						token: token
					},

				}
			}, function(ret, err) {
				if(ret) {
					// console.log( JSON.stringify( ret ) );
					var userData = ret.data;
					api.setPrefs({
						key: 'userInfo',
						value: userData
					});
					// 头像赋值 用户名赋值
					that.userInfo = userData;
					that.userInfo.avatar = root + that.userInfo.avatar;
					console.log(that.userInfo.avatar)
					// 性别赋值
					if(that.userInfo.gender == "0") {
						that.sex = "女";
					} else if(that.userInfo.gender == "1") {
						that.sex = "男";
					}
					// 是否认证赋值
					if(that.userInfo.audit_state == "审核通过") {
						that.renzheng = "已认证"
					} else if(that.userInfo.audit_state == "待审核") {
						that.renzheng = "待审核"
					} else if(that.userInfo.audit_state == "未通过") {
						that.renzheng = "未通过"
					} else if(that.userInfo.audit_state == "未认证") {
						that.renzheng = "未认证"
					}

				} else {
					api.toast({
						msg: '服务器错误，请退出从新登录',
						duration: 2000,
						location: 'bottom'
					});

				}
				api.hideProgress();
			});
		},
		mounted: function() {
			var that = this;
			// 改变导航字体颜色
			api.setStatusBarStyle({
				style: 'dark', // dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			// 改变导航字体颜色
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			var userInfo1 = JSON.parse(userInfo);
			that.userInfo = userInfo1;
			that.userInfo.avatar = "http://anhezuche.eacase.com" + that.userInfo.avatar;
		},
		methods: {

			// 性别选择
			sexs: function() {
				var that = this;
				api.actionSheet({
					cancelTitle: '取消',
					buttons: ['男', '女'],
				}, function(ret, err) {
					if(ret) {
						var index = ret.buttonIndex;
						// alert(index)
						if(index == "1") {
							that.sex = "男";
							api.ajax({
								// url: 'http://anhezuche.eacase.com/index.php/index/myindex/personal',
								method: 'post',
								data: {
									values: {
										type: 2,
										name: index,
										token: token,
									},

								}
							}, function(ret, err) {
								if(ret) {
									api.toast({
										msg: '修改成功',
										duration: 2000,
										location: 'bottom'
									});
								} else {
									api.toast({
										msg: '网络错误',
										duration: 2000,
										location: 'bottom'
									});

								}
							});

						} else {
							that.sex = "女";
							api.ajax({
								// url: 'http://anhezuche.eacase.com/index.php/index/myindex/personal',
								method: 'post',
								data: {
									values: {
										type: 2,
										name: 0,
										token: token,
									},

								}
							}, function(ret, err) {
								if(ret) {
									api.toast({
										msg: '修改成功',
										duration: 2000,
										location: 'bottom'
									});

								} else {
									api.toast({
										msg: '网络错误',
										duration: 2000,
										location: 'bottom'
									});
								}
							});
						}
					} else {
						api.toast({
							msg: '性别修改失败',
							duration: 2000,
							location: 'bottom'
						});

					}
				});
			},
			// 修改用户名
			changeone: function() {
				var that = this;
				if(that.changename == '') {
					api.toast({
						msg: '用户名不能为空哦！',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				api.ajax({
					// url: 'http://anhezuche.eacase.com/index.php/index/myindex/personal',
					method: 'post',
					data: {
						values: {
							name: that.changename,
							token: token,
							type: '1',
						},
					}
				}, function(ret, err) {
					if(ret) {
						if(ret.code == "0") {
							api.toast({
								msg: '用户名修改成功',
								duration: 2000,
								location: 'bottom'
							});
						}
						// var oldUseInfo=JSON.parse(userInfo);
						// oldUseInfo.username=that.changename;
						// api.setPrefs({
						// 		key: 'userInfo',
						// 		value: oldUseInfo,
						// });
						// that.userInfo=oldUseInfo;
						// alert( JSON.stringify(oldUseInfo) )

					} else {
						api.toast({
							msg: '用户名修改失败',
							duration: 2000,
							location: 'bottom'
						});
					}
				});
			},
			// 实名认证跳转页面
			renzhengClick: function() {
				api.openWin({
					name: 'renzheng',
					url: '../../html/Y_cz/Y_tjcl.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			// 退出登陆
			tuichu: function() {
				api.confirm({
					title: '提示',
					msg: '确定退出当前账号？',
					buttons: ['确定', '取消']
				}, function(ret, err) {
					if(ret.buttonIndex == 1) {
						api.ajax({
							// url: 'http://anhezuche.eacase.com/index.php/index/login/logout',
							method: 'post',
							dataType: 'json',
							data: {
								values: {
									token: token,
								},
							}
						}, function(ret, err) {
							if(ret) {
								// alert(JSON.stringify(ret))
								if(ret.code === "0") {
									api.removePrefs({
										key: 'token'
									});
									api.openWin({
										name: 'login',
										url: './login.html',
										slidBackEnabled: false,
										pageParam: {
											form: 'index'
										}
									});
								}
							} else {
								api.toast({
									msg: '退出失败',
									duration: 2000,
									location: 'bottom'
								});
							}
						});
					}
				});
			},
			// 打开图片上传
			uploadHeadImg: function() {
				var that = this;
				api.getPicture({
					sourceType: 'library',
					encodingType: 'jpg',
					mediaValue: 'pic',
					destinationType: 'url',
					allowEdit: true,
					quality: 50,
					targetWidth: 100,
					targetHeight: 100,
					saveToPhotoAlbum: false
				}, function(ret, err) {
					if(ret) {
						var imgSrc = ret.data;
						// alert(imgSrc)
						// alert(token)
						//  alert(JSON.stringify(ret));
						api.ajax({
							// url: 'http://anhezuche.eacase.com/index.php/index/myindex/headpicture',
							method: 'post',
							dataType: 'json',
							data: {
								values: {
									token: token,
								},
								files: {
									file: imgSrc,
								}
							}
						}, function(ret, err) {
							if(ret) {
								//  alert( JSON.stringify(ret)  )
								var oldUseInfo = JSON.parse(userInfo);
								oldUseInfo.avatar = imgSrc;
								api.setPrefs({
									key: 'userInfo',
									value: ret.data,
								});
								that.userInfo = oldUseInfo;
								// 发送个人信息广播
								// api.sendEvent({
								// 		name: 'myEvent1',
								// 		extra: {
								// 				key1: that.userInfo,
								// 		}
								// });
								api.toast({
									msg: '修改成功',
									duration: 2000,
									location: 'bottom'
								});

							} else {
								api.toast({
									msg: '修改失败',
									duration: 2000,
									location: 'bottom'
								});
							}
						});
					} else {
						api.toast({
							msg: '退出失败',
							duration: 2000,
							location: 'bottom'
						});
					}
				});

			},
			fanhui: function() {
				var that = this
				api.closeWin();
			},
			aboutus: function() {
				api.openWin({
					name: 'abouts',
					url: './aboutus.html',
					pageParam: {
						name: 'test'
					}
				});

			}
		}
	})
}
