apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var userInfo = api.getPrefs({
		key: 'userInfo',
		sync: true
	});

	var app = new Vue({
		el: "#app",
		data: {
			action: '//jsonplaceholder.typicode.com/photos/',
			files: [],
			reallyName: '', //真实姓名
			reallyId: '', //身份证号
			sfzm: '../image/Y_img/zm.png',
			sffm: '../image/Y_img/fm.png',
			jszm: '../image/Y_img/jszm.png',
			jsfm: '../image/Y_img/jsfm.png',
			certpic: [], //身份证照片
			drivepic: [], //驾驶证照片
			before_UP: true,
			now_UP: false,
			after_UP: false,
		},

		created: function() {
			var that = this;
			api.ajax({
				url: 'http://anhezuche.eacase.com/index.php/index/myindex/userinfo',
				method: 'post',
				data: {
					values: {
						token: token
					},

				}
			}, function(ret, err) {
				if(ret) {
					var userData = JSON.stringify(ret.data);
					api.setPrefs({
						key: 'userInfo',
						value: userData
					});
					var audit_state = JSON.parse(userInfo).audit_state;
					if(audit_state == "待审核") {
						// alert("待审核")
						that.before_UP = false;
						that.now_UP = true;
					} else if(audit_state == "未通过") {
						that.before_UP = true;
						that.now_UP = false;
					} else if(audit_state == "审核通过") {
						that.before_UP = false;
						that.now_UP = false;
						that.after_UP = true;
					} else {
						alert("审核出现问题，请从新提交资料")
						that.before_UP = true;
						that.now_UP = false;
						that.after_UP = false;
					}

				} else {
					alert(JSON.stringify(err));
				}
			});

		},
		mounted: function() {
			var that = this;
			setStatusBar(document.querySelector(".Y_yhj_tou"));

			// alert(audit_state)
			// if(audit_state=="待审核"){
			// 	// alert("待审核")
			// that.before_UP=false;
			// 	that.now_UP=true;
			// }else if(audit_state=="未通过"){
			// 	that.before_UP=true;
			// 		that.now_UP=false;
			// }
		},

		methods: {
			guanbi: function() {
				api.closeWin();
			},

			// 相机或者选择图片
			uploadSZ: function(e) {
				var that = this;
				api.actionSheet({
					title: '上传图片',
					cancelTitle: '取消',
					buttons: ['拍照', '从手机相册选择'],
					style: {
						layerColor: 'rgba（0, 0, 0, 0.4）',
						fontNormalColor: '#222',
						fontPressColor: '#fff',
					}
				}, function(ret, err) {
					if(ret) {
						// 	alert("2"+e+"1")
						//  alert(ret.buttonIndex)
						L_reg_log.getPicture(that, ret.buttonIndex, e);
					}
				});
			},
			// 提交
			qrtj: function() {
				var that = this;
				var reallyName = that.reallyName;
				var reallyId = that.reallyId;
				if(reallyName == "") {
					api.toast({
						msg: '姓名未填写',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(reallyId == "") {
					api.toast({
						msg: '身份证号未填写',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(that.sfzm == '../image/Y_img/zm.png') {
					api.toast({
						msg: '身份正面未上传',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(that.sffm == '../image/Y_img/fm.png') {
					api.toast({
						msg: '身份反面未上传',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(that.jszm == '../image/Y_img/jszm.png') {
					api.toast({
						msg: '驾驶正面未上传',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(that.jsfm == '../image/Y_img/jsfm.png') {
					api.toast({
						msg: '驾驶反面未上传',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				//实名认证
				api.ajax({
					url: 'http://anhezuche.eacase.com/index.php/index/myindex/certification',
					method: 'post',
					data: {
						values: {
							token: token,
							realname: that.reallyName,
							certnum: that.reallyId,
						},
						files: {
							sfzm: that.sfzm,
							sffm: that.sffm,
							jszm: that.jszm,
							jsfm: that.jsfm,
						}
					}
				}, function(ret, err) {
					if(ret) {
						// alert(JSON.stringify(ret.data))
						var userData = JSON.stringify(ret.data);
						api.setPrefs({
							key: 'userInfo',
							value: userData
						});
						that.before_UP = false;
						that.now_UP = true;
						// alert(JSON.stringify(userInfo))
						if(ret.code == "0") {
							api.toast({
								msg: '提交成功',
								duration: 2000,
								location: 'bottom'
							});
						}
					} else {
						alert(JSON.stringify(err));
						alert("提交失败");
					}
				});

			},
			goToBuy: function() {
				api.openWin({
					name: 'index',
					url: '../index.html',
					pageParam: {
						name: 'test'
					}
				});
				// api.closeWin();

			}
		}
	})
}