apiready=function(){
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var userInfo = JSON.parse(
    api.getPrefs({
  		key: 'userInfo',
  		sync: true
  	})
  );
  var app=new Vue({
    el:'#order-detail',
    data:{
      root:config.domain,
      ordercode:api.pageParam.ordercode,
      orderInfo:{
        type:''
      },
      status:api.pageParam.status,
      isLoad:false,
      isBz:'',//是否平台保障
      cardInfo:{
        id:''
      },
      isFirst:true,
      payType:'微信',
      payTypes:[
        {name:'微信',icon:'&#xe6f9;',color:'#54d867'},
        {name:'支付宝',icon:'&#xe63b;',color:'#54b7f9'}
      ],
      showPayType:false
    },
    created:function(){
      this.getOrderDetail();
    },
    mounted:function(){
      setStatusBar(document.querySelector('.Y_yhj'));
    },
    filters:{
      frameTime:function(time){
        time=parseInt(time)*1000;
        return formatTime(time);
      }
    },
    watch:{
      isBz:function(val,oldval){
          if(this.isFirst){
            this.isFirst=false;
            return;
          };

          api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: '提交中...',
              text: ''
          });
          var that=this;
          var ono=this.orderInfo.order_code;
          var that=this;
          if(val){
            that.orderInfo.bzf=that.orderInfo.clbzf;
          }else{
            that.orderInfo.bzf=0;
          };
          apiList.upisbzf(ono,token,val,function(data){
            if(data.code==10000){
              api.sendEvent({
                  name: 'bzupdate'
              });
            }else{
              api.toast({
                  msg: '操作失败',
                  duration: 2000,
                  location: 'bottom'
              });
              that.getOrderDetail();
            };
            api.hideProgress();

          })
      }
    },
    computed:{
      duration:function(){
        var duration=parseInt(this.orderInfo.end_time)*1000-parseInt(this.orderInfo.begin_time)*1000;
        var mins=duration/(1000*60);
        var hours=(mins/60);
        var days=hours/24;

        var obj={
          days:days,
          hours:hours,
          mins:mins
        };
        if(this.endTime==''){
          return '';
        };
        if(mins<60){
          return mins+'分';
        }else if(mins>=60 && mins<1440) {
          if(mins%60==0){
            return hours+'小时'
          }else{
            return parseInt(hours)+'小时'+mins%60+'分'
          };
        }else{
          if(mins%1440==0){
            return mins/1440+'天';
          }else{
            var syMins=mins%1440;
            if(syMins<60){
              return parseInt(days)+'天'+syMins+'分钟'
            }else{
              if(syMins%60==0){
                return parseInt(days)+'天'+syMins/60+'小时';
              }else{
                return parseInt(days)+'天'+parseInt(syMins/60)+'小时'+syMins%60+'分钟';
              };
            };
            //return days.toFixed()+'天'+((mins%1440)/60).toFixed()>0?((mins%1440)/60).toFixed():''+'小时';
          };
        };
      },
      sfje:function(){
        var qsfwf;  //取车、送车服务费
        if(!this.orderInfo.acquire_address || this.orderInfo.acquire_address=='' || !this.orderInfo.send_address || this.orderInfo.send_address==''){
          qsfwf=0;
        }else{
          qsfwf=parseFloat(this.orderInfo.qcf)+parseFloat(this.orderInfo.scf);
        };
        var jehj=parseFloat(this.orderInfo.jehj) || 0;    //订单金额
        var zzcf=parseFloat(this.orderInfo.zzcf) || 0;    //车辆租金
        var sxf=parseFloat(this.orderInfo.sxf) || 0;      //手续费
        var bzf=parseFloat(this.orderInfo.bzf) || 0;      //保障费
        var yhjJe=parseFloat(this.orderInfo.yhqje) || 0;  //优惠券金额
        var zcyj=parseFloat(this.orderInfo.zcyj) || 0;    //租车押金
        var wzyj=parseFloat(this.orderInfo.wzyj) || 0;    //违章押金
        var sjclzj=zzcf-yhjJe; //车辆实际租金
        sjclzj=sjclzj>0?sjclzj:0;
        var allFy=sjclzj+sxf+bzf+qsfwf; //总费用
        return allFy+zcyj+wzyj;
      },
      needQs:function(){
        if(!this.orderInfo.acquire_address || this.orderInfo.acquire_address=='' || !this.orderInfo.send_address || this.orderInfo.send_address==''){
          return false;
        }else{
          return true;
        };
      }
    },
    methods:{
      fanhui:function(){
        api.closeWin();
      },
      getOrderDetail:function(){
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '加载中...',
            text: '',
        });

        var that=this;
        var ordercode=this.ordercode;
        var params={
          uid:0,
          token:token,
          id:ordercode
        };
        apiList.getOrderDetail(params,function(ret){
          if(ret.code==0){
            that.orderInfo=ret.data[0][0];
            that.orderInfo.carpic=that.orderInfo.carpic.split(',');
            that.orderInfo.carpicFirst=that.orderInfo.carpic[0];
            var bzf=parseFloat(that.orderInfo.bzf);
            if(bzf==0){
              that.isBz=false;
            }else{
              that.isBz=true;
            };
            // that.getCarPayInfo();
            // that.getCarInfo();
          };
          api.hideProgress();
          that.isLoad=true;
        })
      },
      //选择支付方式
      selectPayType:function(){
        this.showPayType=!this.showPayType;
      },
      selectPay:function(item){
        this.payType=item.name;
      },
      //支付
      subOrder:function(){
        this.selectPayType();
        var that=this;
        if(this.orderInfo.order_type=='首租'){
          if(this.sfje<=0){
            api.toast({
                msg: '支付金额必须大于0',
                duration: 2000,
                location: 'bottom'
            });
            return;
          };
        }else if(this.orderInfo.order_type=='续租'){
          if(this.orderInfo.zzcf<=0){
            api.toast({
                msg: '支付金额必须大于0',
                duration: 2000,
                location: 'bottom'
            });
            return;
          };
        };
        var money;
        if(this.orderInfo.order_type=='首租'){
          money=this.sfje;
        }else if(this.orderInfo.order_type=='续租'){
          money=orderInfo.zzcf
        };
        var payType=this.payType;
        this.useCard(function(){
          if(payType=='微信'){
              var params={
                'orderid':that.orderInfo.orderid,//订单id
                'order_code':that.orderInfo.order_code,//订单号
                'money':money*100,//订单金额
                // 'money':1,
                'product':that.orderInfo.brand_name+that.orderInfo.series_name,//订单名称
                'acquire_address':that.orderInfo.acquire_address || '',//取车地址
                'send_address':that.send_address || '',//送车地址
                'note':that.orderInfo.note || '',//备注
              };
              that.pay(params);
          }else if(payType=='支付宝'){
              var params={
                orderid:that.orderInfo.orderid,//订单id
                token:token,
                order_sn:that.orderInfo.order_code,
                totle_sum:money,
                name:that.orderInfo.brand_name
              };
              that.aliPay(params);
          };
        });
      },
      //支付宝支付
      aliPay:function(params){
        aliPay.created(params,function(data){
          if(data.code==0){
            if(data.info.order_state=='已支付'){
              api.toast({
                  msg: '已支付',
                  duration: 2000,
                  location: 'bottom'
              });
              api.sendEvent({
                  name: 'payOk',
              });
              setTimeout(function(){
                api.closeToWin({
                    name: 'index'
                });
              },1000);
            }else{
              api.toast({
                  msg: '未支付',
                  duration: 2000,
                  location: 'bottom'
              });
            };
          };
        })
      },
      //微信支付
      pay:function(params){
        var wp=WechatPay.createNew(params,function(data){
            if(data.code==0){
              if(data.info.order_state=='已支付'){
                api.toast({
                    msg: '已支付',
                    duration: 2000,
                    location: 'bottom'
                });
                api.sendEvent({
                    name: 'payOk',
                });
                setTimeout(function(){
                  api.closeToWin({
                      name: 'index'
                  });
                },1000);
              }else{
                api.toast({
                    msg: '未支付',
                    duration: 2000,
                    location: 'bottom'
                });
              };
            };
        });
      },
      openCard:function(){
        api.openWin({
          name: '优惠券',
          url: './Y_wdqb.html',
          animation:{
            type:'movein',
            subType:'from_bottom'
          },
          pageParam:{
            form:'qrdd',
            carid:this.orderInfo.id,
            orderCode:this.orderInfo.order_code
          }
        });
      },
      useCard:function(callback){
        var id=this.cardInfo.id;

        var that=this;
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '查询中...',
            text: ''
        });

        var orderInfo=this.orderInfo;
        var params={
          ono:orderInfo.order_code,
          couid:id || 0,
          qcdz:this.qcaddress,
          scdz:this.hcaddress,
          bz:this.note,
          token:token
        };
        apiList.useCard(params,function(ret){
          if(ret.code==0){
              callback();
              api.hideProgress();
          };
          api.hideProgress();
        });
      },
      //订单续租
      ordersContinue:function(){
        var that=this;
        apiList.ordersContinue(this.orderInfo.order_code,token,function(data){
          if(data.code==0){
            api.toast({
                msg: '订单已续租',
                duration: 2000,
                location: 'bottom'
            });
            that.getOrderDetail();
            that.status='待支付';
          }
        });
      },
      //申请还车
      returnCar:function(){
        var that=this;
        var ono=this.orderInfo.order_code;
        apiList.returnCar(ono,token,function(data){
          if(data.code==0){
            api.toast({
                msg: '还车申请已发送，请耐心等待',
                duration: 2000,
                location: 'bottom'
            });
            that.getOrderList();
          };
        });
      }
    },
  });
  //监听优惠券选择事件
  api.addEventListener({
    name: 'selectedCard'
  },function(ret, err){
    var card=ret.value.card;
    app.orderInfo.yhqje=card.cou_money;
    app.cardInfo=card;
  });
};
