
apiready=function(){
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var userInfo = JSON.parse(api.getPrefs({
  		key: 'userInfo',
  		sync: true
  }));

  var order=new Vue({
    el:'#order-con',
    data:{
      activeType:{},
      orderList:[],
      downLoading:false,
      page:1,
      size:10,
      total:0,
      isOver:false,
      firstEd:false,
      root:config.domain,
      setFirstImg:function(imgList){
        var img=imgList.split(',');
        return img[0];
      },
      djs:'',
      djsList:[]
    },
    watch:{
      activeType:{
        handler:function(){
          api.refreshHeaderLoading();
        },
        deep:true
      },
      orderList:function(list){
        if(this.activeType.name!='待支付'){
            return;
        };
        var that=this;
        var max=5*60*1000;//倒计时时间
        if(this.djs!=''){
          clearInterval(this.djs);
        };
        var djs=setInterval(function(){
          for(var i=0;i<list.length;i++){
            var created=list[i].place_time*1000;
            var now=new Date().getTime();
            if((now-created)>=max){
              that.getOrderList();
            }else{
              list[i].djs=secToMin(max-(now-created));
            };
          };
        },1000);
        this.djs=djs;
      }
    },
    methods:{
      /**
       * 获取订单列表
       * @param  {String} type 获取订单的类型刷新/加载更多 refresh/load
       */
      getOrderList:function(type){
        var that=this;
        type=type || 'refresh';
        var params={
          token:token,
          uid:userInfo.id,
          ostate:this.activeType.name || '待支付'
        };

        apiList.getOrderInfo(params,function(data){
          if(data.code==0){
            for(var i=0;i<data.data.length;i++){
              data.data[i].djs='';
            };
            if(type=='refresh'){
              that.orderList=data.data;
              that.firstEd=true;

              // that.total=data.total;
            }else if(type=='load'){
              if(that.orderList.length<that.total){

                that.orderList=that.orderList.concat(data.list);
                that.page++;
              }else{
                that.isOver=true;
              };
            };
          };
          api.refreshHeaderLoadDone();
        });

      },
      //取消订单
      closeOrder:function(order){
        var that=this;
        api.confirm({
            title: '提示',
            msg: '您确定要取消订单吗?',
            buttons: ['确定', '取消']
        }, function(ret, err){
            if( ret ){
                if(ret.buttonIndex==1){
                  var ono=order.order_code;
                  apiList.cancelOrder(ono,0,function(data){
                    if(data.code==0){
                      api.toast({
                          msg: '订单取消成功',
                          duration: 2000,
                          location: 'bottom'
                      });
                      that.getOrderList();
                    };
                  });
                }
            }
        });
      },
      lxkf:function(){
        api.sendEvent({
            name: 'tabSelect',
            extra: {
                index:2
            }
        });
      },
      openDetail:function(ordercode,status){
        api.openWin({
            name: 'orderDetail',
            url: './Y_ddxq.html',
            pageParam: {
              ordercode:ordercode,
              status:status
            }
        });
      },
      //订单续租
      ordersContinue:function(item){

        api.openWin({
            name: 'orderContinue',
            url: './orderContinue.html',
            pageParam: {
              ordercode:item.order_code,
              status:item.order_state
            }
        });
      },
      //申请还车
      returnCar:function(item){
        var that=this;
        var ono=item.order_code;
        apiList.returnCar(ono,token,function(data){
          if(data.code==0){
            api.toast({
                msg: '还车申请已发送，请耐心等待',
                duration: 2000,
                location: 'bottom'
            });
            that.getOrderList();
          };
        });
      }
    }
  });
  //设置下拉刷新的样式
  api.setCustomRefreshHeaderInfo({
      bgColor: '#f9f9f9',
  }, function() {
      order.page=1;
      order.isOver=false;
      order.getOrderList();
  });
  api.refreshHeaderLoading();
  //监听订单类型的变化
  api.addEventListener({
      name: 'orderTypeWatch'
  }, function(ret, err){
      order.firstEd=false;
      order.activeType=ret.value.type;
      order.orderList=[];
      api.refreshHeaderLoading();
  });
  //上拉加载
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err){
    // if(order.isOver){
    //   return;
    // };
    // order.getOrderList('load');
    // order.downLoading=true;
  });
  //监听支付完成
  api.addEventListener({
      name: 'payOk'
  }, function(ret, err){
      api.refreshHeaderLoading();
  });
  //监听bzupdate事件 平台保障状态发生变化后会触发
  api.addEventListener({
      name: 'bzupdate'
  }, function(ret, err){
      order.getOrderList();
  });

};
