apiready=function(){
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var userInfo = JSON.parse(
    api.getPrefs({
  		key: 'userInfo',
  		sync: true
  	})
  );
  var app=new Vue({
    el:'#order-detail',
    data:{
      root:config.domain,
      ordercode:api.pageParam.ordercode,
      orderInfo:{},
      status:api.pageParam.status,
      isLoad:false,
      isBz:'',//是否平台保障
      cardInfo:{
        id:''
      },
      isFirst:true,
      newEndTime:'',//还车日期
      newAddress:'',//还车地址
      newRent:0,
      payType:'微信',
      payTypes:[
        {name:'微信',icon:'&#xe6f9;',color:'#54d867'},
        {name:'支付宝',icon:'&#xe63b;',color:'#54b7f9'}
      ],
      showPayType:false
    },
    created:function(){
      this.getOrderDetail();
    },
    mounted:function(){
      setStatusBar(document.querySelector('.Y_yhj'));
    },
    filters:{
      frameTime:function(time){
        time=parseInt(time)*1000;
        return formatTime(time);
      }
    },
    watch:{
      isBz:function(val,oldval){
          if(this.isFirst){
            this.isFirst=false;
            return;
          };

          api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: '提交中...',
              text: ''
          });
          var that=this;
          var ono=this.orderInfo.order_code;
          var that=this;
          if(val){
            that.orderInfo.bzf=that.orderInfo.clbzf;
          }else{
            that.orderInfo.bzf=0;
          };
          apiList.upisbzf(ono,token,val,function(data){
            if(data.code==10000){
              api.sendEvent({
                  name: 'bzupdate'
              });
            }else{
              api.toast({
                  msg: '操作失败',
                  duration: 2000,
                  location: 'bottom'
              });
              that.getOrderDetail();
            };
            api.hideProgress();

          })
      }
    },
    computed:{
      duration:function(){
        var duration=parseInt(this.newEndTime)*1000-parseInt(this.orderInfo.end_time)*1000;
        var mins=duration/(1000*60);
        var hours=(mins/60);
        var days=hours/24;

        var obj={
          days:days,
          hours:hours,
          mins:mins
        };
        if(this.newEndTime==''){
          return '';
        };
        if(mins<60){
          return mins+'分';
        }else if(mins>=60 && mins<1440) {
          if(mins%60==0){
            return hours+'小时'
          }else{
            return parseInt(hours)+'小时'+mins%60+'分'
          };
        }else{
          if(mins%1440==0){
            return mins/1440+'天';
          }else{
            var syMins=mins%1440;
            if(syMins<60){
              return parseInt(days)+'天'+syMins+'分钟'
            }else{
              if(syMins%60==0){
                return parseInt(days)+'天'+syMins/60+'小时';
              }else{
                return parseInt(days)+'天'+parseInt(syMins/60)+'小时'+syMins%60+'分钟';
              };
            };
            //return days.toFixed()+'天'+((mins%1440)/60).toFixed()>0?((mins%1440)/60).toFixed():''+'小时';
          };
        };
      },
      sfje:function(){
        var qsfwf;  //取车、送车服务费
        if(!this.orderInfo.acquire_address || this.orderInfo.acquire_address=='' || !this.orderInfo.send_address || this.orderInfo.send_address==''){
          qsfwf=0;
        }else{
          qsfwf=parseFloat(this.orderInfo.qcf)+parseFloat(this.orderInfo.scf);
        };
        var jehj=parseFloat(this.orderInfo.jehj) || 0;    //订单金额
        var zzcf=parseFloat(this.orderInfo.zzcf) || 0;    //车辆租金
        var sxf=parseFloat(this.orderInfo.sxf) || 0;      //手续费
        var bzf=parseFloat(this.orderInfo.bzf) || 0;      //保障费
        var yhjJe=parseFloat(this.orderInfo.yhqje) || 0;  //优惠券金额
        var zcyj=parseFloat(this.orderInfo.zcyj) || 0;    //租车押金
        var wzyj=parseFloat(this.orderInfo.wzyj) || 0;    //违章押金
        var sjclzj=zzcf-yhjJe; //车辆实际租金
        sjclzj=sjclzj>0?sjclzj:0;
        var allFy=sjclzj+sxf+bzf+qsfwf; //总费用
        return allFy+zcyj+wzyj;
      },
      needQs:function(){
        if(!this.orderInfo.acquire_address || this.orderInfo.acquire_address=='' || !this.orderInfo.send_address || this.orderInfo.send_address==''){
          return false;
        }else{
          return true;
        };
      }
    },
    methods:{
      fanhui:function(){
        api.closeWin();
      },
      getOrderDetail:function(){
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '加载中...',
            text: '',
        });

        var that=this;
        var ordercode=this.ordercode;
        var params={
          uid:0,
          token:token,
          id:ordercode
        };
        apiList.getOrderDetail(params,function(ret){
          if(ret.code==0){
            that.orderInfo=ret.data[0][0];
            that.newAddress=that.orderInfo.send_address || '';
            that.newEndTime=that.orderInfo.end_time+86400;
            that.searchCarRent();
            // that.newRent=that.orderInfo.zzcf;
            that.orderInfo.carpic=that.orderInfo.carpic.split(',');
            that.orderInfo.carpicFirst=that.orderInfo.carpic[0];
            var bzf=parseFloat(that.orderInfo.bzf);
            if(bzf==0){
              that.isBz=false;
            }else{
              that.isBz=true;
            };
            // that.getCarPayInfo();
            // that.getCarInfo();
          };
          api.hideProgress();
          that.isLoad=true;
        })
      },
      //选择支付方式
      selectPayType:function(){
        this.showPayType=!this.showPayType;
      },
      selectPay:function(item){
        this.payType=item.name;
      },
      //支付
      subOrder:function(){
        this.selectPayType();
        var that=this;
        if(this.newRent<=0){
          api.toast({
              msg: '支付金额必须大于0',
              duration: 2000,
              location: 'bottom'
          });
          return;
        };
        var money=this.newRent;
        var payType=this.payType;
        if(payType=='微信'){
            var params={
              'orderid':that.orderInfo.orderid,//订单id
              'order_code':that.orderInfo.order_code,//订单号
              'money':money*100,//订单金额
              // 'money':1,
              'product':that.orderInfo.brand_name+that.orderInfo.series_name,//订单名称
              'acquire_address':that.orderInfo.acquire_address || '',//取车地址
              'send_address':that.send_address || '',//送车地址
              'note':that.orderInfo.note || '',//备注
            };
            that.pay(params);
        }else if(payType=='支付宝'){
            var params={
              orderid:that.orderInfo.orderid,//订单id
              token:token,
              order_sn:that.orderInfo.order_code,
              totle_sum:money,
              name:that.orderInfo.brand_name
            };
            that.aliPay(params);
        };
      },
      //支付宝支付
      aliPay:function(params){
        aliPay.created(params,function(data){
          if(data.code==0){
            if(data.info.order_state=='已支付'){
              api.toast({
                  msg: '已支付',
                  duration: 2000,
                  location: 'bottom'
              });
              api.sendEvent({
                  name: 'payOk',
              });
              setTimeout(function(){
                api.closeToWin({
                    name: 'index'
                });
              },1000);
            }else{
              api.toast({
                  msg: '未支付',
                  duration: 2000,
                  location: 'bottom'
              });
            };
          };
        })
      },
      //微信支付
      pay:function(params){
        var wp=WechatPay.createNew(params,function(data){
            if(data.code==0){
              if(data.info.order_state=='已支付'){
                api.toast({
                    msg: '已支付',
                    duration: 2000,
                    location: 'bottom'
                });
                api.sendEvent({
                    name: 'payOk',
                });
                setTimeout(function(){
                  api.closeToWin({
                      name: 'index'
                  });
                },1000);
              }else{
                api.toast({
                    msg: '未支付',
                    duration: 2000,
                    location: 'bottom'
                });
              };
            };
        });
      },
      //订单续租
      ordersContinue:function(){
        var that=this;
        var params={
          ono:this.orderInfo.order_code,
          sdate:this.orderInfo.end_time,
          edate:this.newEndTime,
          scdz:this.newAddress,
          token:token
        };
        apiList.orderAnginRent(params,function(data){
          if(data.code==0){
            if(data.data[0][0].res1==1){
              that.ordersContinue();
            };
          }
        })
      },
      selectEndTime:function(){
        var that=this;
        var startTime=this.orderInfo.end_time*1000;
        var startString=formatTime(startTime);
        api.openPicker({
            type: 'date',
            date: startString,
            title: '选择续租时间'
        }, function(ret, err){
            var timeString=ret.year+'-'+ret.month+'-'+ret.day+' '+ret.hour+':'+ret.minute+':00';
            api.openPicker({
                type: 'time',
                date: timeString,
                title: '选择续租时间'
            }, function(ret2, err){
                var newEndTime=ret2.year+'/'+ret2.month+'/'+ret2.day+' '+ret2.hour+':'+ret2.minute+':00';
                var endTime=new Date(newEndTime).getTime()/1000;
                if(endTime<=startTime/1000){
                  api.toast({
                      msg: '续租结束时间不能早于续租开始时间',
                      duration: 2000,
                      location: 'bottom'
                  });
                  return;
                };
                that.newEndTime=endTime;
                that.searchCarRent();
            });

        });
      },
      //查询车辆租金
      searchCarRent:function(){
        var that=this;
        var params={
          token:token,
          cid:that.orderInfo.id,
          sdate:that.orderInfo.end_time,
          edate:that.newEndTime
        };
        apiList.searchCarRent(params,function(ret){
          if(ret.code==0){
            that.newRent=ret.data[0][0].zzcf;
          }
        });
      }
    },
  });
};
