apiready=function(){
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var selectTime=new Vue({
    el:'#select-time-con',
    data:{
      timeObj:{
        rl:{},
        month:''
      },
      today:{},
      weekList:[],
      weekList2:['日','一','二','三','四','五','六'],
      thisWeek:[],
      selectType:'begin',
      beginTime:api.pageParam.beginTime || '',
      endTime:api.pageParam.endTime || '',
      weekPq:[],
      monthPq:[],
      minDays:api.pageParam.minDays || 0
    },
    computed:{
      duration:function(){
        var duration=this.endTime-this.beginTime;
        var mins=duration/(1000*60);
        var hours=(mins/60);
        var days=hours/24;

        var obj={
          days:days,
          hours:hours,
          mins:mins
        };
        if(this.endTime==''){
          return '';
        };
        if(mins<60){
          return mins+'分';
        }else if(mins>=60 && mins<1440) {
          if(mins%60==0){
            return hours+'小时'
          }else{
            return parseInt(hours)+'小时'+mins%60+'分'
          };
        }else{
          if(mins%1440==0){
            return mins/1440+'天';
          }else{
            var syMins=mins%1440;
            if(syMins<60){
              return parseInt(days)+'天'+syMins+'分钟'
            }else{
              if(syMins%60==0){
                return parseInt(days)+'天'+syMins/60+'小时';
              }else{
                return parseInt(days)+'天'+parseInt(syMins/60)+'小时'+syMins%60+'分钟';
              };
            };
            //return days.toFixed()+'天'+((mins%1440)/60).toFixed()>0?((mins%1440)/60).toFixed():''+'小时';
          };
        };
      },
      isOk:function(){
        if(this.beginTime!='' && this.endTime!=''){
          return true;
        }else{
          return false;
        };
      },
      rlList:function(){
        return this.timeObj.rl.data.dayList;
      }
    },
    watch:{
      timeObj:{
        handler:function(val){
          var month=val.rl.data.month;
          var year=val.rl.data.year;
          this.getCarMonthArrange(month,year);
        },
        deep:true
      }
    },
    created:function(){
      this.$set(this.timeObj,'rl',calendar.create());
      this.getCarArrange();
      this.getNextS();
      this.today=new Date();
      this.today.setHours(0,0,0,0);
    },
    mounted:function(){
      setStatusBar(document.querySelector('.select-time-header'));
    },
    filters:{
      formatTime:function(timeStamp){
        if(timeStamp==''){
          return '';
        }else{
          var time=new Date();
          time.setTime(timeStamp);
          var year=time.getFullYear();
          var month=time.getMonth()+1;
          var day=time.getDate();
          var hours=time.getHours();
          var min=time.getMinutes();
          if(month<10){
            month='0'+month;
          };
          if(day<10){
            day='0'+day;
          };
          if(hours<10){
            hours='0'+hours;
          };
          if(min<10){
            min='0'+min;
          };
          return year+'-'+month+'-'+day+' '+hours+':'+min;
        };
      }
    },
    methods:{
      //查询七天内车辆排期
      getCarArrange:function(){
        var that=this;
        var params={
          token:token,
          carid:api.pageParam.id || '',
          flag:1,
          specmonth:0,
          specyear:new Date().getFullYear()
        };
        apiList.getCarArrange(params,function(ret){
          if(ret.code==0){
            that.weekPq=JSON.parse(ret.data);
          };
        });
      },
      //查询一个月的车辆排期
      getCarMonthArrange:function(month,year){
        api.showProgress({
  					style: 'default',
  					animationType: 'fade',
  					title: '加载中...',
  					text:''
  			});

        var that=this;
        var params={
          token:token,
          carid:api.pageParam.id || '',
          flag:0,
          specmonth: month,
          specyear: year
        };
        apiList.getCarArrange(params,function(ret){
          if(ret.code==0){
            that.monthPq=JSON.parse(ret.data);
          };
          api.hideProgress();
        });
      },
      getThisWeek:function(){
        this.thisWeek=getThisWeek();
      },
      nextMonth:function(){
        this.timeObj.rl.nextMonth();
      },
      prevMonth:function(){
        this.timeObj.rl.prevMonth();
      },
      setType:function(type){
        this.selectType=type;
      },
      isSelected:function(date){
        // var timeStamp=date.getTime();
        var year=date.year;
        var month=date.month-1;
        var day=date.day;
        var beginTime=new Date();
        var endTime=new Date();
        beginTime.setTime(this.beginTime);
        endTime.setTime(this.endTime);
        var start={
          time:beginTime,
          year:beginTime.getFullYear(),
          month:beginTime.getMonth(),
          day:beginTime.getDate()
        };
        var end={
          time:endTime,
          year:endTime.getFullYear(),
          month:endTime.getMonth(),
          day:endTime.getDate()
        };
        var isSelected=false;
        var toadyIsSelected=false;
        var thisIsSelected=false;
        if(year==start.year && month==start.month && day==start.day ){
          toadyIsSelected=true;
        };
        if(date.timeStamp>=this.beginTime && date.timeStamp<this.endTime){
          thisIsSelected=true;
        };
        if(toadyIsSelected || thisIsSelected){
          isSelected=true;
        }else{
          isSelected=false;
        };
        return isSelected;
      },
      select:function(item){
        if(item.timeStamp<this.today.getTime()){
          return;
        };
        var that=this;
        var time=item.time;
        var type=this.selectType;
        var hoursTime,defaultTime;
        if(type=='begin'){
          hoursTime=this.beginTime;
        }else if(type=='end'){
          hoursTime=this.endTime;
          if (this.beginTime=='') {
            api.alert({
              title: '警告',
              msg: '请先选择取车时间',
            });
            this.selectType='begin';
            return;
          }
        };
        if(hoursTime==''){
          defaultTime=item.year+'/'+item.month+'/'+item.day;
        }else{
          var date=new Date();
          date.setTime(hoursTime);
          defaultTime=item.year+'-'+item.month+'-'+item.day+' '+date.getHours()+':'+date.getMinutes()+':'+'0';
        };
        api.openPicker({
            type: 'time',
            date: defaultTime,
            title: '选择时间'
        }, function(ret, err){
           time.setHours(ret.hour,ret.minute,0,0);
           if(type=='begin'){
             that.beginTime=time.getTime();
             that.selectType='end';
             if(that.beginTime>=that.endTime){
               that.endTime='';
             };
           }else if(type=='end'){
             if(time.getTime()<=that.beginTime){
               api.alert({
                   title: '警告',
                   msg: '还车时间必须晚于取车时间',
               });
               return;
             };
             var minDays=that.minDays*86400000;
             var beginTime=that.beginTime;
             var endTime=time.getTime();
             var realDays=parseInt(endTime)-parseInt(beginTime);
             if(realDays<minDays){
               api.alert({
                   title: '警告',
                   msg: '当前车辆起租时间为'+that.minDays+'天',
               });
               return;
             };
             that.endTime=endTime;
           };
        });
      },
      selectOk:function(){
        api.sendEvent({
            name: 'timeSelected',
            extra: {
                beginTime: this.beginTime,
                endTime: this.endTime
            }
        });
        api.closeWin();
      },
      clearData:function(){
        this.beginTime='';
        this.endTime='';
        this.selectType='begin';
      },
      closePage:function(){
        api.closeWin();
      },
      canUse:function(day){
        var thisTime=day.timeStamp/1000;
        if(this.weekPq[thisTime]){
          return this.weekPq[thisTime];
        }else{
          return 'n';
        };
      },
      //判断日历里的某一天是否可以租车
      canUseMonth:function(day){
        if(this.selectType=='begin'){
          var thisTime=day.timeStamp/1000;
          if(this.monthPq[thisTime]){
            return this.monthPq[thisTime];
          }else{
            return 'n';
          };
        }else{
          return 'y';
        };
      },
      //获取日期往后的七天
      getNextS:function(){
        var data=getNextS();
        this.thisWeek=data.time;
        var weekList=data.week;
        for(var i=0;i<weekList.length;i++){
          switch (weekList[i]) {
            case 0:
              weekList[i]='日';
              break;
            case 1:
              weekList[i]='一';
              break;
            case 2:
              weekList[i]='二';
              break;
            case 3:
              weekList[i]='三';
              break;
            case 4:
              weekList[i]='四';
              break;
            case 5:
              weekList[i]='五';
              break;
            case 6:
              weekList[i]='六';
              break;
          };
        };
        this.weekList=weekList;
      }
    }
  })
};
