/**
 *后来者注意:该文件下的接口只是部分接口，有个别接口其他开发人员是直接写在页面里的，如果修改项目域名的话切记要全部修改
 * 2019-03-03
 * 祝君好运
 * HelloWorld
 */
var config={
  domain:'http://anhezuche.eacase.com/',//项目域名
};
var apiList={
  /**
   * 获取swiper数据
   * @param [Function] callback 请求成功后的回调函数
   */
  getSwiperData:function(callback){
    api.ajax({
        url: 'http://www.eacase.com/',
        method: 'get',
        returnAll:true,
        dataType:'text'
    },function(ret, err){
        if (ret) {
            if(ret.statusCode==200){
              callback(ret.body);
            }
        } else {
          var log={
            des:'请求轮播图出错',
            err:err
          };
          writeLog(log);
        };
    });
  },
  /**
   * 取消订单
   * @param  {Object}   vue      vue实例
   * @param  {Function} callback 请求成功后的回调函数
   */
  closeOrder:function(vue,callback){
    api.ajax({
        url: 'http://www.eacase.com/',
        data: {
        },
        dataType:'text'
    },function(ret, err){
        if (ret) {
          callback(ret);
        } else {
          console.log(JSON.stringify(err));
        };
    });
  },
  /**
   * 获取微信预支付标识prepay_id
   * @param {Object} params 订单信息
   * @param {Function} callback 请求成功后的回调函数
   */
  getUnifiedorder:function(params,callback){
      api.ajax({
          url: config.domain+'index.php/index/payapp/wx_pay',
          method: 'post',
          data: {
              values: {
                params:params
              }
          }
      },function(ret, err){
          if (ret) {
              callback(ret);
          } else {
              console.log( JSON.stringify( err ) );
          }
      });
  },
  /**
   * 取消订单
   * @param  {String}   ono      车辆号
   * @param  {String}   flag     0－待支付取消；1－已支付撤单
   * @param  {Function} callback 请求成功后的回调
   */
  cancelOrder:function(ono,flag,callback){
    var token = api.getPrefs({
  		key: 'token',
  		sync: true
  	});
    api.ajax({
        url: config.domain+'index.php/index/myindex/cancel_orders_byono',
        method: 'post',
        data: {
            values: {
              token:token,
              ono:ono,
              flag:flag
            }
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });

  },
  /**
   * 根据订单id查询订单状态
   * @param  {String} id 订单id
   * @param {Function} callback 请求成功后的回调函数
   */
  searchOrderStatus:function(id,callback){
    api.ajax({
        url: config.domain+'index.php/index/order/orderstatus',
        method: 'post',
        data: {
            values: {
              ids:id
            }
        }
    },function(ret, err){
        if (ret) {
          callback(ret);
        } else {
          console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 查询车辆排期
   * @param {Object} params 查询参数
   * @param {Function} callback 回调函数
   */
  getCarArrange:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_car_arrange_date',
        method: 'post',
        data: {
            values: {
                token:params.token,
                carid:params.carid,
                flag:params.flag,
                specmonth:params.specmonth,
                specyear:params.specyear
            }
        }
    },function(ret, err){
        if(ret){
          callback(ret);
        }else{
          console.log(JSON.stringify(err));
        };
    });
  },
  /**
   * 确认订单
   * @param {Object} params 参数
   * @param {Function} callback 回调函数
   */
  confirmOrder:function(params,callback){
      api.ajax({
          url: config.domain+'index.php/index/myindex/add_orders_nopay',
          method: 'post',
          data: {
              values: {
                token:params.token,
                userid:params.userid,
                carid:params.carid,
                sdate:params.sdate,
                edate:params.edate
              }
          }
      },function(ret, err){
          if (ret) {
              callback(ret);
          } else {
              console.log( JSON.stringify( err ) );
          }
      });
  },
  /**
   * 获取订单信息
   * @param {Object} params 参数
   * @param {Function} callback 回调函数
   */
  getOrderInfo:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_orders_bycon',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 获取订单详情
   * @param {Object} params 请求参数
   * @param {Function} callback 请求成功后的回调函数
   */
  getOrderDetail:function(params,callback){
    api.ajax({
        // url: config.domain+'index.php/index/myindex/get_orders_bycon',
        url:config.domain+'index.php/index/myindex/get_orders_comfirm',
        method: 'post',
        data: {
            values: {
              uid:params.uid,
              token:params.token,
              ono:params.id
            }
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 查询车辆费用
   * @param  {Object}   params   查询参数
   * @param  {Function} callback 请求成功后的回调函数
   */
  getCarPayInfo:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_car_charge',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 查询车辆信息
   * @param {Object} params 查询参数
   * @param {Function} callback 回调函数
   */
  getCarInfo:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_car_details',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 登录
   * @param  {String} phone 手机号/用户名
   * @param  {String} pwd   密码
   * @param  {Function} callback 请求成功后的回调函数
   */
  login:function(phone,pwd,callback){
    api.ajax({
        url: config.domain+'index.php/index/login/login',
        method: 'post',
        data: {
            values: {
              phone:phone,
              password:pwd
            }
        }
    },function(ret, err){
      // alert(JSON.stringify(ret) )
        if (ret) {
          if(ret.code==0){
            //登录成功
            callback(ret);
          }else if(ret.code=='111'){
            api.confirm({
                title: '提示',
                msg: '该账号已在其他设备登录，是否继续登录',
                buttons: ['确定', '取消']
            }, function(data, err){
                if( data ){
                     if(data.buttonIndex==1){
                       //在其他设备已登录
                       apiList.secondlogin(phone,pwd,function(data){
                         callback(data);
                       });
                     }else if(data.buttonIndex==2){
                       if(api.winName!='login'){
                         api.openWin({
                             name: 'login',
                             url: './login.html',
                             slidBackEnabled:false
                         });
                       };
                     };
                }else{
                     console.log( JSON.stringify( err ) );
                }
            });

          }else if(ret.code==1){
            //登录失败
            api.toast({
                msg: ret.msg,
                duration: 2000,
                location: 'bottom'
            });
            // if(api.winName!='login'){
            //   api.openWin({
            //       name: 'login',
            //       url: './login.html'
            //   });
            // }
          }else if(ret.code=='222'){
            //登录超时
            apiList.secondlogin(phone,pwd,function(data){
              callback(data);
            });
          }else if(ret.code=='333'){
            //账号不存在
            if(api.winName=='root'){
              api.openWin({
                  name: 'login',
                  url: './login.html',
                  slidBackEnabled:false
              });
            }else if(api.winName=='login'){
              api.confirm({
                  title: '提示',
                  msg: '该账号不存在，是否前往注册？',
                  buttons: ['确定', '取消']
              }, function(ret, err){
                 if(ret.buttonIndex==1){
                   api.openWin({
                     name: 'L_reg',
                     url: './L_reg.html'
                   });
                 };
              });
            };
          }else if(ret.code=='444'){
            api.toast({
                msg: '密码错误，请重新输入',
                duration: 2000,
                location: 'bottom'
            });
          };
        } else {
          console.log(JSON.stringify(err));
        }
    });
  },
  /**
   * 用户在其他设备登录或者token过期后再次登录
   * @param  {String}   phone    手机号码
   * @param  {String}   pwd      密码
   * @param  {Function} callback 请求成功后的回调
   */
  secondlogin:function(phone,pwd,callback){
    api.ajax({
        url: config.domain+'index.php/index/login/secondlogin',
        method: 'post',
        data: {
            values: {
              phone: phone,
              password: pwd,
            }
        }
    },function(ret, err){
        if (ret) {
          if(ret.code==0){
            callback(ret);
          }else{
            api.toast({
                msg: ret.msg,
                duration: 2000,
                location: 'bottom'
            });
          };
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 查询token是否过期
   * @param  {String}   token    token
   * @param  {Function} callback 请求成功后的回调函数
   */
  tokenIsExpired:function(token,callback){
    api.ajax({
        url: config.domain+'index.php/index/login/invalid',
        method: 'post',
        data: {
            values: {
              token:token
            }
        }
    },function(ret, err){
        if (ret) {
          callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 更新用户的cid
   * @param  {String}   cid      当前的cid
   * @param  {Function} callback 请求成功的回调函数
   */
  updateCid:function(cid,callback){
    var token=api.getPrefs({
      key:'token',
      sync:true
    });
    api.ajax({
        url: config.domain+'index.php/index/login/getcid',
        method: 'post',
        data: {
            values: {
              cid:cid,
              token:token
            }
        }
    },function(ret, err){
        if (ret) {
            // console.log(JSON.stringify(ret));
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 使用优惠券
   * @param {Object} params 请求参数
   * @param  {Function} callback  请求成功的回调函数
   */
  useCard:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/modify_orders_nopay',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 订单续租
   * @param  {String} ono 订单号
   * @param {String} token token
   * @param {Function} callback 请求成功的回调函数
   */
  ordersContinue:function(ono,token,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/orders_continue',
        method: 'post',
        data: {
            values: {
              token:token,
              ono:ono
            }
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 订单续租2
   * @param {String} ono 订单号
   * @param {String} state 开始时间-时间戳
   * @param {String} edate 结束时间-时间戳
   * @param {String} scdz 还车地址
   * @param {String} token token
   * @param {Function} callback 回调函数
   */
  orderAnginRent(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_orders_again_rent',
        method: 'post',
        data: {
            values: {
              token:params.token,
              ono:params.ono,
              sdate:params.sdate,
              edate:params.edate,
              scdz:params.scdz==null?'':params.scdz
            }
        }
    },function(ret, err){
        if(ret){
          callback(ret);
        }else{
          console.log(JSON.stringify(err));
        };
    });

  },
  /**
   * 查询车辆租金
   * @param {String} cid 车辆id
   * @param {String} sdate 开始时间
   * @param {String} edate 结束时间
   * @param {Function} callback 回调函数
   * @param {String} token token
   */
  searchCarRent(params,callback){
    console.log(JSON.stringify(params));
    api.ajax({
        url: config.domain+'index.php/index/myindex/get_rent_bycid',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });

  },
  /**
   * 申请还车
   * @param  {String}   ono      订单号
   * @param  {String}   token     token
   * @param  {Function} callback  回调函数
   */
  returnCar:function(ono,token,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/apply_returncar',
        method: 'post',
        data: {
            values: {
              ono:ono,
              token:token
            }
        }
    },function(ret, err){
        if (ret) {
            callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 修改平台保障状态
   * @param  {String}   ono      订单号
   * @param  {String}   token    token
   * @param  {Boolen}   status   状态
   * @param  {Function} callback 回调函数
   */
  upisbzf:function(ono,token,status,callback){
    api.ajax({
        url: config.domain+'index.php/index/myindex/upisbzf',
        method: 'post',
        data: {
            values: {
                order_code:ono,
                isbzf:status,
                token:token
            }
        }
    },function(ret, err){
        if (ret) {
          callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });
  },
  /**
   * 支付宝支付生成orderInfo字符串
   * @param {String} order_sn 订单号
   * @param {String} totle_sum 支付金额
   * @param {String} name 产品名称
   * @param {Function} callback 回调函数
   */
  aliPayInfo:function(params,callback){
    api.ajax({
        url: config.domain+'index.php/index/Payapi/pay_order',
        method: 'post',
        data: {
            values: params
        }
    },function(ret, err){
        if (ret) {
          callback(ret);
        } else {
            console.log( JSON.stringify( err ) );
        }
    });

  }
};
