var root='http://anhezuche.eacase.com';
//设置头部距离
function setStatusBar(dom){
  // if(api.systemType=='ios'){
  //   $api.fixStatusBar(dom);
  // }
  if(api.statusBarAppearance){
    $api.fixStatusBar(dom);
  };
};
//高德定位sdk
function aMapLbs(){
  var aMapLBS=api.require('aMapLBS');
  aMapLBS.configManager({
      accuracy: 'tenMeters',
      filter: 10
  }, function(ret, err) {
      if (ret.status) {
          //console.log('定位管理器初始化成功！');
      }
  });
  return aMapLBS;
};
/**
 * 高德定位sdk获取当前位置（单次定位）
 * @param  {object}   aMapLBS  高德定位sdk对象
 * @param  {Function} callback 获取位置成功后的回调函数
 */
function getLocation(aMapLBS,callback){
  aMapLBS.singleLocation(function(ret){
    if(ret.status){
      callback(ret);
    }else{
      // console.log(JSON.stringify(ret));
    };
  });
};
/**
 * 高德地图开始连续定位
 * @param  {Object}   aMapLBS  高德定位sdk对象
 * @param  {Function} callback 定位成功后的回调函数
 */
function startLocation(aMapLBS,callback){
  aMapLBS.startLocation(function(ret){
    if(ret.status){
      //定位成功
      callback(ret);
      // writeLog(JSON.stringify(ret));
    }else{
      aMapLBS.stopUpdatingLocation();
      writeLog(JSON.stringify(ret));
    }
  });
};
/**
 * 停止高德地图连续定位
 * @param  {Object} aMapLBS 高德地图定位sdk对象
 */
function stopUpdatingLocation(aMapLBS){
  aMapLBS.stopUpdatingLocation();
}
/**
 * 判断是否首次登录
 */
function isFirst(){
  var token=api.getPrefs({
    key:'token',
    sync:true
  });
  if(!token || token=='' || token.length==0){
      api.openWin({
          name: 'login',
          url: './login.html',
          slidBackEnabled:false
      });
  }else{
    //验证token是否过期
    apiList.tokenIsExpired(token,function(data){
      var phone=api.getPrefs({
        key:'log_phone',
        sync:true
      });
      var pwd=api.getPrefs({
        key:'log_pass',
        sync:true
      });
      if(data.code==0){
        //token未过期
        api.sendEvent({
            name: 'loginSuccess',
            extra: {
                needEdit:false
            }
        });
        api.openWin({
            name: 'index',
            url: './index.html',
            slidBackEnabled:false
        });
      }else if(data.code=='111'){
        api.openWin({
            name: 'login',
            url: './login.html',
            slidBackEnabled:false
        });
      }else{
        //token已过期，自动登录
        autoLogin(function(data){
          api.sendEvent({
              name: 'loginSuccess',
              extra: {
                  needEdit:true,
                  ret:data,
                  phone:phone,
                  pwd:pwd
              }
          });
          api.openWin({
              name: 'index',
              url: './index.html',
              slidBackEnabled:false
          });
        });
      };
    });
  };
};
/**
 * 自动登录
 * @param  {Object}   vue      vue实例
 * @param  {Function} callback 请求成功后的回调函数
 */
function autoLogin(callback){
  var user=api.getPrefs({
    key:'log_phone',
    sync:true
  });
  var pwd=api.getPrefs({
    key:'log_pass',
    sync:true
  });
  if(!user || user=='' || !pwd || pwd==''){
    api.openWin({
        name: 'login',
        url: './login.html',
        slidBackEnabled:false
    });
  }else{
    apiList.login(user,pwd,function(data){
      callback(data);
    });
  };
}
/**
 * 打开二维码扫描
 * @param  {[type]}   FNScanner FNScanner对象
 * @param  {Function} callback  扫码成功后的回调函数
 */
function openFNS(callback){
  var FNScanner = api.require('FNScanner');
  FNScanner.open({
    sound:'widget://res/1.wav',
    autorotation: true,
    verticalLineColor:'#fff',
  }, function(ret, err) {
      if (ret) {
          if(ret.eventType=='success'){
              callback(ret);
          }
      } else {
          console.log(JSON.stringify(err));
      }
  });
};
/**
 * 设置推送
 * @param {Function} callback 推送设置完成后的回调函数
 */
function setPush(callback){
  //导入极光推送SDK
  var ajpush = api.require('ajpush');
  //初始化极光推送
  ajpush.init(function(ret) {
      if (ret && ret.status){
        callback(ajpush);
      };
  });
};
/**
 * 收到推送
 * @param {Object} pushData   推送数据
 */
function getPush(pushData){
  var content=pushData.appParam?JSON.parse(pushData.appParam.ajpush.content):JSON.parse(pushData.content);
  switch (content.type) {
      case 1:
        //订单推送
        api.sendEvent({
            name: 'ddsj',
            extra: {
              pushData:pushData,
              content:content
            }
        });

      break;
      case 2:
        //消息推送
        api.sendEvent({
            name: 'xxsj',
            extra: {
                pushData:pushData,
                content:content
            }
        });

      break;
      case 3:
        //认证消息
        api.sendEvent({
            name: 'rzsj',
            extra: {
              pushData:pushData,
              content:content
            }
        });
      break;
    default:

  }
};
/**
 * 写入本地日志
 * @param  {String} log 日志内容
 * @return {[type]}     [description]
 */
function writeLog(log){
  var now=new Date();
  var logs=now.getHours()+':'+now.getMinutes()+':'+now.getSeconds()+': '+log+'\n';
  var day=now.getFullYear()+'-'+(now.getMonth()+1)+'-'+now.getDate();
  api.writeFile({
      path: 'fs://logs/'+day+'.txt',
      data: logs,
      append:true
  });
};
/**
 * 设置index底部tab
 * @param {Object} rect   frameGroup的位置和大小
 * @param {Array} frames frame frames数组
 * @param {Function} callback 当前显示在屏幕上的 frame 变化时会回调
 */
function setBottomTab(rect,frames,callback){
  api.openFrameGroup ({
      name: 'index',
      background: 'rgba(0,0,0,0)',
      scrollEnabled: false,
      rect: rect,
      index: 0,
      frames: frames
  }, function(ret, err){
      if( ret ){
          if(callback){
            callback(ret);
          };
      }else{
        var log={
          des:'index openFrames报错',
          err:err
        };
        writeLog(log);
      }
  });
};
/**
 * 设置轮播图
 * @param {Object} rect 轮播图位置尺寸
 * @param {Object} data 轮播图内部数据
 * @param {Object} styles 轮播图样式
 */
function setSwiper(rect,data,styles){
  var UIScrollPicture = api.require('UIScrollPicture');
  UIScrollPicture.open({
      rect: rect,
      data: data?data:{},
      styles: styles?styles:{
        indicator: {
          align: 'center',
          color: 'rgba(168,163,160,0.8)',
          activeColor: '#ff9e48'
        }
      },
      // placeholderImg:'widget://res/banner1.png',
      contentMode: 'scaleToFill',
      interval: 3,
      fixedOn: api.frameName,
      loop: true,
      fixed: false
  }, function(ret, err){
      if( ret ){
      }else{
        console.log(JSON.stringify(err));
        var log={
          des:'home 报错',
          err:err
        };
        writeLog(log);
      }
  });
  return UIScrollPicture;
};
/**
 * 微信支付插件
 */
function wxPay(){
  var wxPay = api.require('wxPay');
  wxPay.config({},function(ret, err){
       if(ret.status){
          alert('配置商户支付参数成功');
       }else{
           alert(err.code);
       }
  });
  return wxPay;
};
/**
 * 获取当前周
 * @param  {String}  time  日期（2017/01/01）
 * @return {Array}   list 当前周
 */
function getThisWeek(time){
  var thisWeek=[];
  var time=time?new Date(time):new Date();
  var now=new Date();
  now.setHours(0,0,0,0);
  time.setHours(0,0,0,0);
  var week=time.getDay();
  var weekFirst=new Date(time.getTime()+((0-week)*1000*60*60*24));
  // console.log(weekFirst);
  // var weekLast=new Date(now.getTime()+((6-week)*1000*60*60*24));
  // console.log(weekFirst,weekLast);
  //this.thisWeek[0]=weekFirst;
  // this.thisWeek[6]=weekLast;
  for(var i=0;i<7;i++){
    var obj={
      time:new Date(weekFirst.getTime()+1000*60*60*24*i),
      isToday:false
    };
    if(obj.time.getTime()==now.getTime()){
      obj.isToday=true
    };
    thisWeek.push(obj);
  };
  return thisWeek;
};
/**
 * 获取之后七天
 * @param {String} time 时间
 */
function getNextS(time){
  var time=time?new Date(time):new Date();
  var now=new Date();
  now.setHours(0,0,0,0);
  time.setHours(0,0,0,0);
  var obj={
    time:[],
    week:[]
  };
  var thisWeek=time.getDay();
  time.setHours(0,0,0);
  for(var i=0;i<7;i++){
    var thisTime=new Date(time.getTime()+1000*60*60*24*i);
    obj.week.push(thisWeek);
    thisWeek++;
    if(thisWeek>6){
      thisWeek=0;
    };
    var timeObj={
      day:thisTime.getDate(),
      time:thisTime,
      timeStamp:thisTime.getTime(),
      isToday:thisTime.getTime()==now.getTime()?true:false
    };
    obj.time.push(timeObj);
  };
  return obj;
};
/**
 * 格式化时间
 * @param {Date} time 转换的时间 时间戳/2017/01/02 00:00:00
 */
function formatTime(time){
  var date=new Date();
  if(typeof(time)=='string'){
    date=new Date(time);
  }else{
    date.setTime(time);
  };
  var year=date.getFullYear();
  var month=date.getMonth()+1;
  if(month<10){
    month='0'+month;
  };
  var day=date.getDate();
  if(day<10){
    day='0'+day;
  };
  var hours=date.getHours();
  if(hours<10){
    hours='0'+hours;
  };
  var min=date.getMinutes();
  if(min<10){
    min='0'+min;
  };
  var sec=date.getSeconds();
  if(sec<10){
    sec='0'+sec;
  };
  return year+'-'+month+'-'+day+' '+hours+':'+min+':'+sec;
};
/**
 * 验证手机格式是否正确
 * @param  {String} phone 要验证的手机号
 */
function isPhone(phone){
  var phoneReg=/0?(13|14|15|16|17|18|19|92|98)[0-9]{9}/;
  return phoneReg.test(phone);
};
/**
 * 设置wx模块（包含微信分享、微信登录）
 */
function setWx(){
  var wx = api.require('wx');
  return wx;
};
/**
 * 当前用户是否认证
 * @return {String} 认证状态
 */
function isCertification(){
  var userInfo = JSON.parse(api.getPrefs({
      key: 'userInfo',
      sync: true
  }));
  var status=userInfo.audit_state;
  return status;
};
function secToMin(time){
  var sec=Math.floor(time/1000%60);
  if(sec<10){
    sec='0'+sec;
  }
  return Math.floor(time/1000/60)+':'+sec;
};
