var calendar={
  create:function(params){
    var params=params || {};
    var date=params.date || new Date();
    if(typeof(date)=='string'){
      date=new Date(date);
    };
    date.setHours(0,0,0,0);
    var tools={
      /**
       * 计算一个月有多少天
       * @param {Number} month 月份（从0开始）
       * @return {Number} days 天数
       */
      monthDays:function(month){
        var days;
        switch (month) {
          case 0:
            days=31;
            break;
          case 1:
            var year=date.getFullYear();
            if(tools.isRn(year)){
              days=29;
            }else{
              days=28;
            };
            break;
          case 2:
            days=31;
            break;
          case 3:
            days=30;
            break;
          case 4:
            days=31;
            break;
          case 5:
            days=30;
            break;
          case 6:
            days=31;
            break;
          case 7:
            days=31;
            break;
          case 8:
            days=30;
            break;
          case 9:
            days=31;
            break;
          case 10:
            days=30;
            break;
          case 11:
            days=31;
            break;
        };
        return days;
      },
      /**
       * 判断是不是闰年
       * @param {Number} year 年份
       * @return {Boole} 是否闰年
       */
      isRn:function(year){
        var cond1 = year % 4 == 0;  //条件1：年份必须要能被4整除
        var cond2 = year % 100 != 0;  //条件2：年份不能是整百数
        var cond3 = year % 400 ==0;  //条件3：年份是400的倍数
        //当条件1和条件2同时成立时，就肯定是闰年，所以条件1和条件2之间为“与”的关系。
        //如果条件1和条件2不能同时成立，但如果条件3能成立，则仍然是闰年。所以条件3与前2项为“或”的关系。
        //所以得出判断闰年的表达式：
        var cond = cond1 && cond2 || cond3;
        if(cond) {
            return true;
        } else {
            return false;
        }
      },
      /**
       * 构造数据
       * @param {Object} time Date对象
       * @return {Array} data
       */
      setData:function(time){
        var time=time || date;
        var year=time.getFullYear();
        var month=time.getMonth();
        var days=tools.monthDays(month);
        var dayList=[];
        for(var i=0;i<days;i++){
          var thisTime=new Date(year+'/'+(month+1)+'/'+(i+1));
          var timeObj={
            time:thisTime,
            year:thisTime.getFullYear(),
            month:thisTime.getMonth()+1,
            timeStamp:thisTime.getTime(),
            day:thisTime.getDate()
          };
          dayList.push(timeObj);
        };
        var data={
          year:year,
          month:month+1,
          dayList:dayList,
          active:date,
          firstWeek:dayList[0].time.getDay()
        };
        for(var i=0;i<data.firstWeek;i++){
          data.dayList.unshift({});
        };
        app.data=data;
      }
    };
    var app={
      data:{},
      monthList:[],//月列表
      nextMonth:function(){
          var year=app.data.year;
          var month=app.data.month;
          ++month;
          if(month>12){
            ++year;
            month=1;
          };
          tools.setData(new Date(year+'/'+month+'/1'));
      },
      prevMonth:function(){
        var year=app.data.year;
        var month=app.data.month;
        --month;
        if(month<1){
          --year;
          month=12;
        };
        tools.setData(new Date(year+'/'+month+'/1'));
      }
    };
    //初始化数据
    tools.setData();
    return app;
  }
};
